Gtk::BuilderError Class Reference

Exception class for Gdk::Builder errors. More...

Inheritance diagram for Gtk::BuilderError:
[legend]

## Public Types

enum | Code { INVALID_TYPE_FUNCTION, UNHANDLED_TAG, MISSING_ATTRIBUTE, INVALID_ATTRIBUTE, INVALID_TAG, MISSING_PROPERTY_VALUE, INVALID_VALUE, VERSION_MISMATCH, DUPLICATE_ID }

## Public Member Functions

| BuilderError (Code error_code, const Glib::ustring& error_message)
| BuilderError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gdk::Builder errors.

## Member Enumeration Documentation

enum Gtk::BuilderError::Code

Enumerator
INVALID_TYPE_FUNCTION | A type-func attribute didn't name a function that returns a Type.
UNHANDLED_TAG | The input contained a tag that Gtk::Builder can't handle.
MISSING_ATTRIBUTE | An attribute that is required by Gtk::Builder was missing.
INVALID_ATTRIBUTE | Gtk::Builder found an attribute that it doesn't understand.
INVALID_TAG | Gtk::Builder found a tag that it doesn't understand.
MISSING_PROPERTY_VALUE | A required property value was missing.
INVALID_VALUE | Gtk::Builder couldn't parse some attribute value.
VERSION_MISMATCH | The input file requires a newer version of GTK+.
DUPLICATE_ID | An object id occurred twice.

## Constructor & Destructor Documentation

Gtk::BuilderError::BuilderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::BuilderError::BuilderError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gtk::BuilderError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/builder.h